#
# spec file for package mek (Version 0.50)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libjpeg qtdevel qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         mek
Copyright:    GPL
Group:        Applications/Engineering
Provides:     mek 
Autoreqprov:  on
Version:      0.50
Release:      207
Summary:      Simulator of Mechanics of Point
Url:          http://www.linux-france.org/prj/mek
Source:       mek-%{version}.src.tar.bz2
Patch:        mek-%{version}.dif
Patch1:       mek-%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Simulator of mechanics of point

Authors:
--------
    Ghislain Picard <ghislain@linux-france.org>

SuSE series: xap

%prep
%setup
%patch
%patch1

%build
%{suse_update_config -f}
automake
autoconf
CXXFLAGS="$RPM_OPT_FLAGS -fno-operator-names" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install

%files
%defattr(-,root,root)
/usr/bin/*
/usr/share/mek

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n mek
* Thu May 17 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed neededforbuild
* Thu Jan 25 2001 - cihlar@suse.cz
- fixed to compile on ia64
* Thu Nov 09 2000 - cihlar@suse.cz
- bzipped sources
- fixed file list
- added optimalization
* Tue May 16 2000 - cihlar@suse.cz
- package created
